Description

There is no "out format field" (-of format) in Gdal Translate.  Currently, the output format is guessed from the file extension (not obvious for

someone used to working at the command line) and a single format is applied by default to all output files.

Additional fields like -b band would be very nice to have. Since there are many possible parameters, perhaps and open parameter field

would be helpful for this and other gdal tools.

https://www.gdal.org/gdal_translate.html

History

#1 - 2018-11-07 12:06 PM - Giovanni Manghi

- Assignee set to Giovanni Manghi

No problem adding the -b flag or others. Regarding the output format: is by Processing design, we output a specific format for temporary outputs (gpkg or

tiff bu default) or the format is defined when choosing to save the output to a specific location, so is pointless adding the -of parameter.

#2 - 2019-03-11 01:55 PM - Giovanni Manghi

- Subject changed from Missing parameters in GDAL Translate to Add the "Select an input band band for output" parameter to GDAL translate

#3 - 2019-03-11 02:40 PM - Giovanni Manghi

- Subject changed from Add the "Select an input band band for output" parameter to GDAL translate to Add the "Select an input band for output" 

parameter to GDAL translate
